%global momorel 1
%global svn_date 20070729
%global use_svn 0

Summary:        C based Compiz config configuration tool
Name:           compizconfig-backend-gconf
Version:        0.5.2
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release:        %{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
%if %{use_svn}
Source0:        %{name}-%{version}-%{svn_date}.tar.bz2
%else
%NoSource 0     http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2 f64426ae486e62b5d475ab4e40d9d0d3
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires:       compiz-core
Requires:       libcompizconfig >= 0.5.2, compizconfig-python
BuildRequires:  libcompizconfig >= 0.5.2
BuildRequires:  GConf2-devel, glib2-devel
BuildRequires:  autoconf, automake, libtool
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  libacl-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  libattr-devel
BuildRequires:  libutempter-devel
Obsoletes: 	beryl-settings, beryl-settings-simple, beryl-settings-bindings
Obsoletes: 	ccs-backend-gconf
Provides:	ccs-backend-gconf

%description
C based CCS configuration tool

%prep
# clean up backends
rm -rf %{_builddir}/ccs-backend-*

%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif

%if %{use_svn}
./autogen.sh
make distclean
%endif

%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{_libdir}/compizconfig/backends/libgconf.*a

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/compizconfig/backends/libgconf.so

%changelog
* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070630.1m)
- update 20070630

* Sun Jun 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.0.1-0.20070621.2m)
- change Requires from compiz to compiz-core

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- split package : ccs-settings
